Improve error messages UI for Media Viewer
Closed, ResolvedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/299

Narrative

As a user, I want to seeerror messages if Media Viewer is not able to perform a task, so I am not confused.

Acceptance Criteria

Display error messages when Media Viewer cannot perform a user request.

  • Show an error message above the metadata panel in Media Viewer in the following use cases:
  • a file cannot be displayed in Media Viewer
  • the meta data cannot be fetched for that file
  • your browser doesn’t have enough memory
  • this file has been deleted
  • this file URL is incorrect ...etc.
  • In cases like these, provide a generic error message for now, such as:

“Sorry, there seems to be a technical issue. For more information, [ check this help page ]<check faq="" help="" this="">."</check>

  • In cases where we know that the meta-data is not being displayed, consider this error message:

"Unable to show all information for this image. Please report this image to the community. Learn more on [ this help page ]".

Design notes

For errors when the image cannot be loaded:

  • The error is communicated using check this help page ]".
  • The users can retry (we should provide this option only if there are chances that this could help in some of the cases)
  • the users can report the issue or access a page here information about the issues (and how to report them) is provided.
  • The background becomes of a lighter gray ( #333 ) to communicate that this is not a regular image.

For errors loading metadata:

  • A grayish label indicating that information was not loaded.

Related Bugs

Related Stories

#8 Media Viewer

#382 Show error message for deleted files

#383 Show detailed error information to user

#384 Show retry link in error message

Related Changesets

MingleTerminator raised the priority of this task from to High.
In mingle on 2014-03-20 at 20:48:02, @Tgr wrote:

Currently we have two types of error handling, one when the image cannot be loaded, and one when some or all of the metadata cannot be loaded.

#271 has a working but ugly implementation. To test, you can run this code on the console : http://pastebin.com/wL7ZKLEd

In mingle on 2014-03-26 at 10:51:30, @Pginer-WMF wrote:

As per the email discussion, I think enough design details are available at the moment. I'll remove the design tag. feel free to add it in case of doubt or when the code is ready to take a look at.

Tgr lowered the priority of this task from High to Normal.Dec 11 2014, 12:45 AM

Lowering priority as we do not plan to work on this anytime soon.

The Error image used in the mockup:

Change 184753 had a related patch set uploaded (by M4tx):
Improve error messages UI for Media Viewer

https://gerrit.wikimedia.org/r/184753

Patch-For-Review

m4tx claimed this task.Jan 14 2015, 8:21 AM

Change 184753 merged by jenkins-bot:
Improve error messages UI for Media Viewer

https://gerrit.wikimedia.org/r/184753

Tgr closed this task as Resolved.Jan 14 2015, 8:05 PM

Change 381761 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: lame dependency tree

https://gerrit.wikimedia.org/r/381761

hashar added a subscriber: hashar.Oct 3 2017, 10:21 PM

Change 381761 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: lame dependency tree
https://gerrit.wikimedia.org/r/381761

Wrong task sorry about that.